// Sizing
.form,
form.form
	//._title
	._elements
		._element
			width: 100%
			+padding('third', 1, 0, 1, 0)
		&.-inline
			._element
				display: flex
				flex-wrap: wrap
				label
					width: 30%
				> textarea,
				> input,
				> select,
				> .TILES,
				> ._button
					width: 50%
					+responsive()
						width: 70%
				> p
					padding-left: 30%
	._element
		> label
			margin: 0
			text-transform: uppercase
			padding: 0
			line-height: $line_height
			font-weight: 600
			._help
				text-transform: lowercase
				+padding('fourth', 0, 1, 0, 1)
				color: $dark_on_light
				font-weight: 400
				font-style: italic
		> button
			border: none
			text-align: center
		> p
			cursor: default
		> select[multiple]
			height: auto
		> button,
		> a._button
			display: inline-block
			padding: $padding_y_child $padding_x_child
			line-height: $line_height_child
			margin: 0
		> select,
		> input,
		> textarea
			appearance: none
			-webkit-appearance: none
			-moz-appearance: none
			width: 100%
			border-radius: 1px
			border: none
			margin: 0
			padding: $padding_y_child $padding_x_child
			line-height: $line_height_child
			display: block
			&.-big
				padding: $padding_y $padding_x
		> label,
		> select,
		> input
			height: $height_child
// Color
.form
	._title
		background-color: $dark
		color: $white
	._elements
		&.-transparent
			background-color: transparent
			label
				color: $white
			input,
			textarea,
			button,
			select
				background-color: transparent
				border: 1px $white solid
				border-radius: 1px
		// background-color: $light
		&.-light
			background-color: $lighter
			input,
			textarea
				background-color: $white
				color: $dark
	label
		color: $dark
	select,
	input,
	textarea
		background-color: $light_on_light
		&:disabled
			background-color: $lighter
	a._button,
	button,
		&.-dark
			background-color: $black
			color: $white
		&.-primary
			background-color: $primary
			color: $dark
		&.-green
			background-color: $green
			color: $white
		&.-blue
			background-color: $blue
			color: $white
		&.-blue-dark
			background-color: $blue-dark
			color: $white
		&.-light
			background-color: $light
			color: $dark
		&.-red
			background-color: $red
			color: $white
		&.-line
			background-color: transparent
			span
				line-height: inherit
			&.-dark
				+gradient($dark, $dark, 2px)
			&.-primary
				+gradient(#c8ff00, $primary, 2px)
			&.-blue
				+gradient($blue, $blue_light, 2px)
			&.-light
				+gradient($dark_on_dark, $gray, 2px)
			&.-white
				+gradient($light, $light_on_dark, 2px)
			&.-follow,
			&.-green
				+gradient(#add356, #00dfa6, 2px)
			&.-orange
				+gradient(#ffcb52, #ff451f, 2px)
			&.-violet
				+gradient(#3dade9, #bf2fcb, 2px)
	&.-dark
		color: $white
		background-color: $dark
		._title
			background-color: $black
			color: $primary
		label
			color: $light
		._elements
			._element
				// label
				select,
				input,
				textarea
					background-color: $dark_on_dark
				button
					&.-dark
						background-color: $dark
						color: $white
					
					&.-primary
						background-color: $primary
						color: $dark
					
					&.-light
						background-color: $light
						color: $light
					&.-line
						background-color: transparent
						&.-dark
							border-color: $dark
							color: $dark
						&.-primary
							border-color: $primary
							color: $primary
						&.-light
							border-color: $light
							color: $light
// Code Mirror
.CodeMirror
	height: auto
	background-color: $light
	font-family: $font-family_code
	color: $dark
	pre
		+padding(fourth, 0, 1 ,0 , 1)
		letter-spacing: 1px
.CodeMirror-lines
	padding: 0
.CodeMirror-linenumber
	+padding(fourth, 0, 1 ,0 , 0)
.CodeMirror-gutters
	border: none
	background-color: $dark
	color: $light

// Bootstrap
// Dropdown
.form
	.btn-group
		a,
		button,
		.dropdown-toggle
			width: initial
			display: inline-block
		.dropdown-toggle
			float: right
		button,
		a
			border-top-right-radius: 0
			border-bottom-right-radius: 0
		.dropdown-item
			display: block
			font-size: $font-size
table
	td
		.form
			height: $height / 2


